Gecode::FloatNumBranch Class Reference
Functionality by programming task » Programming models » Using float variables and constraints » Branching on float variables

Value description class for branching. More...

`#include <float.hh>`

## Public Attributes

FloatNum | n
| The middle value for branching.
bool | l
| Whether to try the lower or upper half first.

## Detailed Description

Value description class for branching.

Definition at line 1462 of file float.hh.

## Member Data Documentation

## n

FloatNum Gecode::FloatNumBranch::n

The middle value for branching.

Definition at line 1465 of file float.hh.

## l

bool Gecode::FloatNumBranch::l

Whether to try the lower or upper half first.

Definition at line 1467 of file float.hh.

The documentation for this class was generated from the following file:

- gecode/float.hh